=== debian/changelog ===
delaboratory (0.8-2build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:19:05 +0000

delaboratory (0.8-2build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:19:27 +0200

delaboratory (0.8-2) unstable; urgency=low

  [ Olly Betts <olly@survex.com> ]
  * Update to use wxWidgets 3.0 (closes: #742659).
  * Fix typo in package description.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 26 Mar 2014 20:35:36 +0100

delaboratory (0.8-1) unstable; urgency=low

  * Initial upload (closes: #733068).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 25 Dec 2013 09:36:14 +0100
