=== debian/control ===
Source: delaboratory
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), libtiff-dev, libwxgtk3.0-dev, libxml2-dev
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/delaboratory/

Package: delaboratory
Architecture: any
Depends: dcraw, ${shlibs:Depends}, ${misc:Depends}
Description: unique image postprocessing application
 Features:
  - floating point precision (not 8-bit like Gimp, not 16-bit like most raw
    processors)
  - native support for multiple colorspaces (sRGB, ProPhoto RGB, LAB, CMYK,
    LCH, HSL, HSV, BW)
  - non destructive editing (adjustment layers)
  - KISS design
  - realtime preview
  - basic operations: CMYK curves, CMYK levels, RGB curves, RGB levels, white
    balance in LAB, saturation in LAB, LAB curves, BW curve, HSV equalizer,
    LCH equalizer, recover shadows/highlights, vignette, local contrast,
    LAB/BW/RGB/CMYK gradients
  - expert operations: levels, curves, equalizer, exposure, saturation, white
    balance, fill, tone, local contrast, auto_dodge/auto_burn, sharpen,
    vignette, gradient, gaussian blur, recover highlights, recover shadows,
    channel mixer, high pass, c2g, copy
  - RAW support via dcraw
  - up to 5 color samplers
  - histograms and color matrices
  - many blend modes (multiply, screen, overlay, inverted overlay, dodge,
    burn, add, grain extract, grain merge, sub, difference, darken, lighten),
    color/luminosity blending for RGB and CMYK
